# Uses of Interface
org.eclipse.ltk.core.refactoring.participants.IRenameResourceProcessor

Packages that use IRenameResourceProcessor
Package
Description
org.eclipse.ltk.ui.refactoring.resource
Application programming interface to actions related to resource refactorings.

## Uses of IRenameResourceProcessor in org.eclipse.ltk.ui.refactoring.resource

Methods in org.eclipse.ltk.ui.refactoring.resource that return IRenameResourceProcessor
Modifier and Type
Method
Description
`protected IRenameResourceProcessor`
RenameResourceWizard.`getProcessor()`
`protected IRenameResourceProcessor`
RenameResourceWizard.RenameResourceRefactoringConfigurationPage.`getProcessor()`
Constructors in org.eclipse.ltk.ui.refactoring.resource with parameters of type IRenameResourceProcessor
Modifier
Constructor
Description
``
`RenameResourceRefactoringConfigurationPage(String name, IRenameResourceProcessor processor)`
``
`RenameResourceRefactoringConfigurationPage(IRenameResourceProcessor processor)`